Bug 194299 - New port: databases/hs-hedis Haskell API and bindings for Redis
Summary: New port: databases/hs-hedis Haskell API and bindings for Redis
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-11 14:04 UTC by martin
Modified: 2014-11-10 22:37 UTC (History)
1 user (show)

See Also:


Attachments
Hedis, BoundedChan, bytestring-lexing and patch for bsd.hackage.mk (1.58 KB, application/x-xz)
2014-10-11 14:04 UTC, martin
no flags Details
Added missing dependencies on fresh installations (1.58 KB, application/x-xz)
2014-10-20 19:07 UTC, martin
no flags Details
New port: databases/hs-hedis (1.38 KB, text/plain)
2014-11-01 14:41 UTC, martin
no flags Details
Dependency: devel/hs-BoundedChan (1.40 KB, text/plain)
2014-11-01 14:42 UTC, martin
no flags Details
Dependency: devel/bytestring-lexing (1.50 KB, text/plain)
2014-11-01 14:43 UTC, martin
no flags Details
Fix for cabal: lang/ghc (1.74 KB, patch)
2014-11-01 14:44 UTC, martin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2014-10-11 14:04:48 UTC
Created attachment 148190 [details]
Hedis, BoundedChan, bytestring-lexing and patch for bsd.hackage.mk

The port itself needs 2 further dependencies which I also supplied. Please take a careful look at it. I basically used a Haskell port as a template and adapted it.

Haskell ports also need a cabal entry in lang/ghc/bsd.hackage.mk (as far as I understood it). In the archive you'll find a diff of this file.

I used the latest versions and added very version dependencies that enforce the latest releases. Hedis has also some upper version restrictions for some modules. I am not sure how to specify them.

I verified that the API to a Redis server actually works. I could make some entries in the DB, so I am pretty sure that everything is OK.
Comment 1 martin 2014-10-20 19:07:34 UTC
Created attachment 148517 [details]
Added missing dependencies on fresh installations

hs-hedis has some missing dependencies on fresh installations. This should solve it.
Comment 2 John Marino freebsd_committer 2014-11-01 12:55:39 UTC
please submit a shar file for a new port as outlined here:
https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html
Comment 3 martin 2014-11-01 14:41:58 UTC
Created attachment 148871 [details]
New port: databases/hs-hedis

The instructions there don't make much sense for my submission, but I try to follow them as good as I can. Also notice that a patch needs to be used for a file in lang/ghc. This is not a new port but a correction to make cabal function properly in ports.
Comment 4 martin 2014-11-01 14:42:47 UTC
Created attachment 148872 [details]
Dependency: devel/hs-BoundedChan
Comment 5 martin 2014-11-01 14:43:28 UTC
Created attachment 148873 [details]
Dependency: devel/bytestring-lexing
Comment 6 martin 2014-11-01 14:44:30 UTC
Created attachment 148874 [details]
Fix for cabal: lang/ghc
Comment 7 John Marino freebsd_committer 2014-11-01 14:57:55 UTC
how you broke it up makes complete sense.  However, you created 3 new ports and assigned a third party to be the maintainer (haskell@) which is not allowed.

I will assign this PR to haskell@ and they can figure out if they want to maintain them, if they agree with the changes, etc.
Comment 8 Gabor Pali freebsd_committer 2014-11-01 16:11:35 UTC
Thank you, John, I think we could handle this and are fine with the maintainership.  Please give me some time to review and test the ports then add them to the Ports Collection.
Comment 9 commit-hook freebsd_committer 2014-11-10 22:09:21 UTC
A commit references this bug:

Author: pgj
Date: Mon Nov 10 22:09:07 UTC 2014
New revision: 372423
URL: https://svnweb.freebsd.org/changeset/ports/372423

Log:
  - Add Haskell API and bindings for Redis:

    devel/hs-BoundedChan        Channels with bounded sizes
    devel/hs-bytestring-lexing  Parse and produce literals from bytestrings
    databases/hs-hedis          Haskell API for Redis

  PR:		194299
  Submitted by:	martin@sugioarto.com
  Obtained from:	FreeBSD Haskell

Changes:
  head/databases/Makefile
  head/databases/hs-hedis/
  head/databases/hs-hedis/Makefile
  head/databases/hs-hedis/distinfo
  head/databases/hs-hedis/pkg-descr
  head/devel/Makefile
  head/devel/hs-BoundedChan/
  head/devel/hs-BoundedChan/Makefile
  head/devel/hs-BoundedChan/distinfo
  head/devel/hs-BoundedChan/pkg-descr
  head/devel/hs-bytestring-lexing/
  head/devel/hs-bytestring-lexing/Makefile
  head/devel/hs-bytestring-lexing/distinfo
  head/devel/hs-bytestring-lexing/pkg-descr
  head/lang/ghc/bsd.hackage.mk
Comment 10 Gabor Pali freebsd_committer 2014-11-10 22:37:08 UTC
Thank you for your submission, it has been added to the Ports Collection with minor changes.